Bug 428530 - macbook overheats when cpu is under heavy use [NEEDINFO]
macbook overheats when cpu is under heavy use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-12 16:51 EST by Brian Jedsen
Modified: 2009-01-09 00:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:46:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cebbert: needinfo? (jedsen)


Attachments (Terms of Use)
output of dmidecode (9.81 KB, text/plain)
2008-05-10 13:22 EDT, Brian Jedsen
no flags Details

  None (edit)
Description Brian Jedsen 2008-01-12 16:51:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
The default maximum fan speed is set to 6200, which is not high enough to prevent the macbook from overheating when under heavy use. Loading the applesmc module and  increasing the fan speed manually prevents this from happening.

Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85

How reproducible:
Always


Steps to Reproduce:
1. Start using one or two processors at 60%+ capacity
2. Wait about 5-10 minutes
3. Notice that your macbook gets hot and reboots

Actual Results:
Reboot

Expected Results:
Fan speed increase.

Additional info:
Comment 1 Chris Nolan 2008-01-19 06:27:42 EST
I can confirm that on a macbook 3,1 ("santa rosa", not macbook pro) running f8
x86_64 the applesmc module is not loaded by default and that the default maximum
fan speed is 6200. I will run some tests to see of I can replicate the system
crashes.
Comment 2 Chuck Ebbert 2008-01-24 18:27:50 EST
(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10)
Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10
> 
> Description of problem:
> The default maximum fan speed is set to 6200, which is not high enough to
prevent the macbook from overheating when under heavy use. Loading the applesmc
module and  increasing the fan speed manually prevents this from happening.
> 

What kind of macbook exactly?
Comment 3 Chuck Ebbert 2008-01-25 18:31:18 EST
Pleae post the output of the 'dmidecode' command from this machine.
Comment 4 Stewart Adam 2008-05-07 16:56:06 EDT
I think this was fixed, I don't see this on my MacBook model 4,1.
Comment 5 Brian Jedsen 2008-05-10 13:22:45 EDT
Created attachment 305034 [details]
output of dmidecode

Hello, sorry for the lack of timely response. Here is the requested
information.
Comment 6 Bug Zapper 2008-11-26 04:24:56 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:46:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.